/* KNB Version 2.00 */
#define INCL_PM
#include <os2.h>
#include "LUDOSPY.rch"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <graph.h>

#define WM_FAILEDVALIDATE (WM_USER+0)

/* these structures are used to add the program name to the task list      */
EXTERN HSWITCH hSwitch;
EXTERN SWCNTRL Swctl;

EXTERN HELPINIT hiLUDOSPYHelp;     /* Help initialization structure        */
EXTERN HWND     hWndLUDOSPYHelp;   /* Handle to Help window                */

EXTERN CHAR szAppName[20]; /* class name of application                    */


EXTERN HAB  hAB;         /* Handle to the Anchor Block                     */
EXTERN HMQ  hMQ;         /* Handle to the Message Queue                    */
EXTERN HWND hWndFrame;   /* Handle to the Window Frame                     */
EXTERN HWND hWndClient;  /* Handle to the Client Window                    */
EXTERN HWND hWndDATABASE;


typedef struct 
         {
          int    YourWindowsTitleGoesHere;
         } CATStruct;

#define OFFSET_CAT 0

/* Function prototypes                                                     */
INT cwCheckDlgItem(HWND, INT, INT);
INT cwCenter(HWND, HWND);
INT cwSetInitDlgStatus(HWND);
INT cwFreeDlgMemory(HWND);
void lmemset(void FAR *, CHAR, INT);
PSZ longstrcpy(PSZ, PSZ);
INT cwRegisterClass(VOID);
HWND cwCreateWindow(HWND, ULONG, PCH, PCH, USHORT, INT, INT, INT, INT, PHWND, ULONG, USHORT);
MRESULT EXPENTRY LimitLBox( HWND hWndDlg, USHORT sLength );
MRESULT EXPENTRY AlignLBox( HWND hWndDlg, USHORT sResource,
                            USHORT *cols, MPARAM mparam2 );

MRESULT EXPENTRY WndProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY INTERVALMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY FILESMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY DATABASEMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY STATUSMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY CATMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY NODEMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY NO_CONMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY UN_CATMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY UN_NODEMsgProc(HWND, USHORT, MPARAM, MPARAM);
